/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "../headers.h"

extern void drawWidgets();
extern int doLoadSaveGameDialog(char *type);
extern void loadWidgets(char *filename);
extern List *loadProperties(char *filename, bool fromPak);
extern List *loadPropertiesInMemory();
extern void populateSavesList(ListView *listView);
extern void loadAllMapData(char *setname);
extern void loadBlob(Properties *props);
extern void loadObjective(Properties *props);
extern void loadTrigger(Properties *props);
extern void loadMission(char *mission);
extern void setupEntities(List *list);
extern void removeBSPModelFaces();

extern Engine *engine;
extern EntityManager *entityManager;
extern Game *game;
extern Graphics *graphics;
extern Map *map;
extern Mission *mission;
extern UIManager *uiManager;
extern Unit *player;
